Reply

Ungrouping of features

[ Edited ]

Hello all! I am using SolidEdge ST.

I drilled holes and after that I created feature group:

    for(int iHole = 1; iHole

{

featsArray[iHole - 1] = hole;

featsCount++;

} SolidEdgePart.FeatureGroups featureGroups =

(SolidEdgePart.FeatureGroups) partDoc.Models.Item(1).FeatureGroups; Array aa = (Array) featsArray; SolidEdgePart.FeatureGroup holeFeatureGroup =

featureGroups.AddFeatureGroupsBySet(featsCount, ref aa); holeFeatureGroup.Name = "aa"; Next time I want to add some holes to this group, but - I cannot find method "addFeature"

- In "models" count of featureGroups is equal to 0

- I decided to delete group first and create new with all holes Finally I was successful to find it in EdgebarFeatures so I wrote 

{

SolidEdgePart.EdgebarFeatures edgeBarFeats = (SolidEdgePart.EdgebarFeatures)

partDoc.DesignEdgebarFeatures; SolidEdgePart.FeatureGroup featureGroup = null; for(int iFeat = 1; iFeat

{

try

{

featureGroup = (SolidEdgePart.FeatureGroup)edgeBarFeats.Item(iFeat);

}

catch

{

continue;

} if(featureGroup.Name.CompareTo("aa") == 0)

featureGroup.Ungroup();

}   But It goes through ungrouping but does nothing. When I try to delete group instead of ungrouping featureGroup.Delete(); it finishes with error. But I expect that I need only ungrouping because deleting removes also holes. Should I use some special update for ungrouping? Or am I in completely bad way? Thanks and Regards, Jara

 

Posted by: Jara Ctverak
Post date: 10/20/2009 4:09:12 AM

1 REPLY

RE: Ungrouping of features

[ Edited ]

Hello All!

 

I still don't know how to ungroup but I finally found out that reorder can help me to add hole to existing group which is sufficient to me.

 

Jara

 

Posted by: Jara Ctverak
Post date: 10/20/2009 10:37:13 PM